petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESNewtonTRSetPreCheck

Sets a user function that is called before the search step has been determined. Allows the user a chance to change or override the decision of the line search routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESNewtonTRSetPreCheck(SNES snes, PetscErrorCode (*func)(SNES,Vec,Vec,PetscBool*,void*),void *ctx)

Logically Collective on snes

### Input Parameters

| snes | - the nonlinear solver object
| func | - [optional] function evaluation routine, see SNESNewtonTRPreCheck() for the calling sequence
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

Note: This function is called BEFORE the function evaluation within the SNESNEWTONTR solver.

### See Also

SNESNewtonTRPreCheck(), SNESNewtonTRGetPreCheck(), SNESNewtonTRSetPostCheck(), SNESNewtonTRGetPostCheck()

### Level

intermediate

### Location

src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages